> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save Admin Page Permissions

> Atomically upserts an admin's per-page access levels and data scope, writing an activity log.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/save-admin-page-permissions
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/save-admin-page-permissions:
    post:
      operationId: saveAdminPagePermissions
      summary: Save Admin Page Permissions
      description: >-
        Atomically upserts an admin's per-page access levels and data scope,
        writing an activity log.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SaveAdminPagePermissionsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SaveAdminPagePermissionsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SaveAdminPagePermissionsRequest:
      type: object
      properties:
        roleInOrgID:
          type: string
          format: uuid
        permissions:
          type: object
          additionalProperties:
            type: string
            enum:
              - full
              - view
              - none
        scopeType:
          type: string
          enum:
            - ORG
            - TEAM
      required:
        - roleInOrgID
        - permissions
    SaveAdminPagePermissionsResponse:
      type: object
      properties:
        success:
          type: boolean
      required:
        - success
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
